API Guide Home (Online version only) |

# PalmLED.h File Reference

## Detailed Description

Palm's Generic LED dirver.

Version:
  1.0

Pledlib.prc, version 1.0 This file contains the Generic LED driver defines. This driver is a standard libr driver that supports the BT notificaiton led. the interface follows the standard palm unser notification interface.

Future drivers will support multiple Led's.

NOTE: Make sure to check the version number for this driver implementation.

Definition in file PalmLED.h.

Include dependency graph for PalmLED.h:

Go to the source code of this file.

## Defines

Type and creator of the Library

- #define kPalmLedName "PalmLed"
- #define kPalmLedType sysFileTLibrary
- #define kPalmLedCreator 'Pled'
- #define kPalmLedModule 195

Library version

- #define kPalmLedVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)
- #define kPalmLedVersion kPalmLedVersion1

Standard library functions

- #define kPalmLedTrapGetAttributes (sysLibTrapCustom+0)
- #define kPalmLedTrapSetAttributes (sysLibTrapCustom+1)

Get/Set Attribute

- #define kHALLEDPropertyUnderSleep 10
- #define kHALLEDPropertySleepOn 1
- #define kHALLEDPropertySleepPattern 2
- #define kHALLEDPropertySleepReserve 4
- #define kHALLEDPropertySleepColorRed 8
- #define kHALLEDPropertySleepColorGreen 0x10
- #define kHALLEDPropertySleepColorBlue 0x20
- #define kHALLEDPropertySleepColorAmberWhite 0x40
- #define kHALLEDCapcityUnderSleep 11
- #define kHALLEDCapcitySleepOn 1
- #define kHALLEDCapcitySleepPattern 2
- #define kHALLEDCapcitySleepPatternSetting 4
- #define kHALLEDCapcitySleepMultiColor 8

## Functions

- Err PalmLedOpen (UInt16 refnum)
    Standard library function.
- Err PalmLedClose (UInt16 refnum)
    Standard library function.
- Err PalmLedSleep (UInt16 refnum)
    Standard library function.
- Err PalmLedWake (UInt16 refnum)
    Standard library function.
- Err HALAttnGetPalmLedAttributes (UInt16 refnum, UInt32 attr, void *dataP)
    Standard library function.
- Err HALAttnSetPalmLedAttributes (UInt16 refnum, UInt32 attr, void *dataP)
    Standard library function.

## Define Documentation

#define kHALLEDCapcitySleepMultiColor 8

bit 3 multi-color available bit 4-31 reserved

Definition at line 104 of file PalmLED.h.

#define kHALLEDCapcitySleepOn 1

dataP points to a UInt32 that indicates how flexible the LED during Sleep is, as follows: bit 0 ON during Sleep available

Definition at line 101 of file PalmLED.h.

#define kHALLEDCapcitySleepPattern 2

bit 1 pattern when sleep available.

Definition at line 102 of file PalmLED.h.

#define kHALLEDCapcitySleepPatternSetting 4

bit 2 pattern setting available

Definition at line 103 of file PalmLED.h.

#define kHALLEDCapcityUnderSleep 11

Definition at line 97 of file PalmLED.h.

#define kHALLEDPropertySleepColorAmberWhite 0x40

bit 6 - amber/white bit 7-31 reserved

Definition at line 94 of file PalmLED.h.

#define kHALLEDPropertySleepColorBlue 0x20

bit 5 - blue

Definition at line 93 of file PalmLED.h.

#define kHALLEDPropertySleepColorGreen 0x10

bit 4 - green

Definition at line 92 of file PalmLED.h.

#define kHALLEDPropertySleepColorRed 8

bit 3 - red

Definition at line 91 of file PalmLED.h.

#define kHALLEDPropertySleepOn 1

dataP points to a UInt32 that indicates how flexible the LED during Sleep is, as follows: bit 0 - ON during sleep

Definition at line 88 of file PalmLED.h.

#define kHALLEDPropertySleepPattern 2

bit 1 - pattern on

Definition at line 89 of file PalmLED.h.

#define kHALLEDPropertySleepReserve 4

bit 2 - reserve

Definition at line 90 of file PalmLED.h.

#define kHALLEDPropertyUnderSleep 10

Definition at line 84 of file PalmLED.h.

#define kPalmLedCreator 'Pled'

Definition at line 56 of file PalmLED.h.

#define kPalmLedModule 195

Definition at line 57 of file PalmLED.h.

#define kPalmLedName "PalmLed"

Definition at line 54 of file PalmLED.h.

#define kPalmLedTrapGetAttributes (sysLibTrapCustom+0)

Definition at line 74 of file PalmLED.h.

#define kPalmLedTrapSetAttributes (sysLibTrapCustom+1)

Definition at line 75 of file PalmLED.h.

#define kPalmLedType sysFileTLibrary

Definition at line 55 of file PalmLED.h.

#define kPalmLedVersion kPalmLedVersion1

Definition at line 66 of file PalmLED.h.

#define kPalmLedVersion1 sysMakeROMVersion(1, 0, 0, sysROMStageRelease, 0)

Definition at line 65 of file PalmLED.h.

## Function Documentation

Err HALAttnGetPalmLedAttributes | ( | UInt16 | refnum,
|  | UInt32 | attr,
|  | void * | dataP |
| ) |  |  |

Standard library function.

Parameters:

  | refnum,: | IN:
  | attr,: | IN:
  | dataP,: | IN:

Return values:

  | Err | error code.

Err HALAttnSetPalmLedAttributes | ( | UInt16 | refnum,
|  | UInt32 | attr,
|  | void * | dataP |
| ) |  |  |

Standard library function.

Parameters:

  | refnum,: | IN:
  | attr,: | IN:
  | dataP,: | IN:

Return values:

  | Err | error code.

Err PalmLedClose | ( | UInt16 | refnum | ) |

Standard library function.

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PalmLedOpen | ( | UInt16 | refnum | ) |

Standard library function.

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PalmLedSleep | ( | UInt16 | refnum | ) |

Standard library function.

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err PalmLedWake | ( | UInt16 | refnum | ) |

Standard library function.

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:43 2008 for Palm API Guide